#ifndef SERIALGPSTHREAD_H
#define SERIALGPSTHREAD_H
#include <QThread>
#include <QByteArray>
#include "serial/serialgps.h"
class SerialGPSThread: public QThread
{
    Q_OBJECT
public:
    SerialGPSThread(QObject *parent = nullptr);


signals:
    void dataReceived(const QByteArray& data);
    void storedGNRMCDataUpdated(const RMCData data);

protected:
    void run() override;

private:
    SerialGPS *serialGPS;
};

#endif // SERIALGPSTHREAD_H
